summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorL.G. Sarmiento2015-06-14 19:38:14 +0200
committerL.G. Sarmiento2015-06-14 19:38:14 +0200
commita366a630e79542b39d2f4dd062272927b7867992 (patch)
tree2e42991b5a231d002dc4311675b4ba8ae735f0dd
downloadaur-a366a630e79542b39d2f4dd062272927b7867992.tar.gz
Initial import
-rw-r--r--.SRCINFO12
-rw-r--r--PKGBUILD42
2 files changed, 54 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..fd75f8abaf9
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,12 @@
+pkgbase = emacs-monky-git
+ pkgdesc = Emacs extension that provides an interactive interface for mercurial hg
+ pkgver = 20130402
+ pkgrel = 1
+ url = http://ananthakumaran.in/monky/index.html
+ arch = any
+ license = unknown
+ makedepends = git
+ depends = emacs
+
+pkgname = emacs-monky-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..220a6c4e965
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,42 @@
+# $Id: pkgbuild-mode.el,v 1.23 2007/10/20 16:02:14 juergen Exp $
+# Maintainer: L.G. Sarmiento (Pico) <lgsarmientop-ala-unal.edu.co>
+pkgname=emacs-monky-git
+pkgver=20130402
+pkgrel=1
+pkgdesc="Emacs extension that provides an interactive interface for mercurial hg"
+url="http://ananthakumaran.in/monky/index.html"
+arch=('any')
+license=('unknown')
+depends=('emacs')
+makedepends=('git')
+_gitroot="git://github.com/ananthakumaran/monky.git"
+_gitname="monky"
+
+build(){
+ cd ${srcdir}
+ msg "Connecting to GIT server..."
+
+ if [ -d ${srcdir}/$_gitname ]; then
+ cd $_gitname && git pull origin
+ msg "The local files are updated."
+ else
+ git clone $_gitroot #Shallow repo. --depth 1 nto possible
+ fi
+
+ msg "GIT checkout done or server timeout"
+ msg "Starting make..."
+
+ if [ -d ${srcdir}/$_gitname-build ]; then
+ rm -rf ${srcdir}/$_gitname-build
+ fi
+
+ git clone ${srcdir}/$_gitname ${srcdir}/$_gitname-build || return 1
+ cd ${srcdir}/$_gitname-build
+ make
+}
+
+package(){
+ cd ${srcdir}/$_gitname-build/ || return 1
+ mkdir -p ${pkgdir}/usr/share/emacs/site-lisp/monky || return 1
+ cp -a ./* ${pkgdir}/usr/share/emacs/site-lisp/monky || return 1
+}